Get cart calculate

A list of all publicly available methods for interacting with the API.

GET

Get cart calculate

/cart/calculate
Deprecated

This method still works, but API v3 has a newer one.

Use the v3 method instead

Calculate order

Calculate given order and return the result, this is used in plan selector to show the price of the order.

Query method

GEThttps://api.stableproxy.com/v2/cart/calculate

Query parameters

IdentifierRegulationsExample
traffic-unitNot necessarilynullablestringin:gb"gb"
period-unitNot necessarilynullablestringin:weeks, weeks, months, years"weeks"
traffic-amountrequiredilluminate\_validation\_invokable_validation_rulenull
period-amountrequiredintegerin:1"1"
countNot necessarilynullableinteger30
countriesNot necessarilynullablearray{"UA": 10, "PL": 20}
typerequiredstringin:shared, private, mobile_rotating_gb, residential_gb, datacenter_gb, residential_city_gb, residential_static_gb, mobile_gb, mobile_static, mobile_static_gb, mobile_shared_gb, mobile_private_gb"shared"
currencyNot necessarilynullablestringcurrency_code"USD"
has-unlimited-auth-ipsNot necessarilynullableex-booleanfalse
serviceNot necessarilynullablestringilluminate\_validation\_rules\_in75
ip-scoreNot necessarilynullablenumeric76

Code examples

1const baseUrl = "https://api.stableproxy.com/v2";
2const response = await fetch(baseUrl + "/cart/calculate", {
3 method: "GET",
4 headers: {
5 "Content-Type": "application/json"
6 }
7});
8const data = await response.json();

Examples of answers

Success response200application/json
{
  "data": {
    "order": {
      "version": 32,
      "added_price_per_day": 0,
      "already_spent_in_usd": 0,
      "count": 30,
      "traffic_amount": 25,
      "traffic_unit": "gb",
      "period_amount": 1,
      "period_unit": "months",
      "countries": {
        "UA": 10,
        "PL": 20
      },
      "currency": "USD",
      "type": "shared",
      "has_unlimited_auth_ips": false,
      "ip_score": 0,
      "geo_service": "adspower",
      "already_spent": 0,
      "pay_for_setup": false,
      "prices": {
        "overall": 5.84,
        "one_proxy": 0.08,
        "overall_formatted": "$5.84",
        "one_proxy_formatted": "$0.08 - 1 proxy",
        "overall_usd": 5.84,
        "one_proxy_usd": 0.08,
        "overall_formatted_usd": "$5.84",
        "version": 32,
        "one_proxy_formatted_usd": "$0.08 - 1 proxy",
        "currency": "USD",
        "sale_percentage": 1,
        "sale_amount_usd": 0,
        "sale_amount": 0
      },
      "renew_prices": {
        "overall": 5.84,
        "one_proxy": 0.08,
        "overall_formatted": "$5.84",
        "one_proxy_formatted": "$0.08 - 1 proxy",
        "overall_usd": 5.84,
        "one_proxy_usd": 0.08,
        "overall_formatted_usd": "$5.84",
        "version": 32,
        "one_proxy_formatted_usd": "$0.08 - 1 proxy",
        "currency": "USD",
        "sale_percentage": 1,
        "sale_amount_usd": 0,
        "sale_amount": 0
      }
    }
  },
  "good": true,
  "timestamp": 1731264837,
  "cause": {
    "type": "anonymous",
    "user_id": -1
  }
}